package com.hncy.sjdz.base.controller;


import com.hncy.sjdz.base.models.entity.SafetyDictionary;
import com.hncy.sjdz.base.service.SafetyDictionaryService;
import com.hncy4cloud.hncy.common.core.util.R;
import io.swagger.v3.oas.annotations.Parameter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

/**
 * 类别字典表
 *
 * @author cp
 * @since 2024-11-07 15:01:58
 */
@RestController
@RequestMapping("/safetyDictionary")
public class SafetyDictionaryController {

	@Autowired
	private SafetyDictionaryService safetyDictionaryService;


	/**
	 * 获取类型树
	 *
	 * @return
	 */
	@GetMapping("/getTree")
	public R getTree(@Parameter(name = "parentTypeCode", description = "监测对象类别父级code", required = false)
					 @RequestParam(name = "parentTypeCode", required = false) String parentTypeCode) {

		return R.ok(safetyDictionaryService.getTree(parentTypeCode));
	}

	/**
	 * 获取父级风险源类型
	 *
	 * @return
	 */
	@GetMapping("/getParentType")
	public R getParentType() {
		return R.ok(safetyDictionaryService.getParentType());
	}
}