package com.hncy.sjdz.base.controller;


import antlr.collections.List;
import com.hncy.sjdz.base.service.SafetyMonitoringObjectInfoService;
import com.hncy4cloud.hncy.common.core.util.R;
import io.swagger.v3.oas.annotations.Parameter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.web.bind.annotation.GetMapping;


/**
 * 监测对象表
 *
 * @author cp
 * @since 2024-11-07 15:23:28
 */
@RestController
@RequestMapping("/safetyMonitoringObjectInfo")
public class SafetyMonitoringObjectInfoController {

	@Autowired
	private SafetyMonitoringObjectInfoService safetyMonitoringObjectInfoService;

	/**
	 * 统计各风险等级设施数
	 *
	 * @return
	 */
	@GetMapping("/statisticalRiskLevel")
	public R statisticalRiskLevel() {

		return safetyMonitoringObjectInfoService.statisticalRiskLevel();
	}

	/**
	 * 统计当前风险预警设施类型
	 *
	 * @return
	 */
	@GetMapping("/statisticalType")
	public R statisticalType() {

		return safetyMonitoringObjectInfoService.statisticalType();
	}

	/**
	 * 风险源点位
	 *
	 * @return
	 */
	@GetMapping("/findListForMap")
	public R findListForMap(@Parameter(name = "parentTypeCode", description = "监测对象类别父级code", required = false)
							@RequestParam(name = "parentTypeCode", required = false) String parentTypeCode,
							@Parameter(name = "monitoringObjectTypeCodeList", description = "监测对象类別编码集合", required = false)
							@RequestParam(name = "monitoringObjectTypeCodeList", required = false) String monitoringObjectTypeCodeList) {

		return safetyMonitoringObjectInfoService.findListForMap(parentTypeCode, monitoringObjectTypeCodeList);
	}


	/**
	 * 设施详情
	 *
	 * @return
	 */
	@GetMapping("/getInfo")
	public R getInfo(@Parameter(name = "id", description = "设施id", required = false)
					 @RequestParam(name = "id", required = false) String id) {

		return safetyMonitoringObjectInfoService.getInfo(id);
	}


}