package com.hncy.sjdz.base.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hncy.sjdz.base.mapper.SafetyMonitoringObjectInfoMapper;
import com.hncy.sjdz.base.mapper.SafetyMonitoringRecordInfoMapper;
import com.hncy.sjdz.base.models.entity.SafetyEventDealingRecord;
import com.hncy.sjdz.base.models.entity.SafetyMonitoringObjectInfo;
import com.hncy.sjdz.base.models.entity.SafetyMonitoringRecordInfo;
import com.hncy.sjdz.base.service.SafetyMonitoringObjectInfoService;
import com.hncy4cloud.hncy.common.core.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author cp
 * @since 2024-11-07 15:23:28
 */
@Service
@Slf4j
public class SafetyMonitoringObjectInfoServiceImpl extends ServiceImpl<SafetyMonitoringObjectInfoMapper, SafetyMonitoringObjectInfo> implements SafetyMonitoringObjectInfoService {

	@Autowired
	private SafetyMonitoringObjectInfoMapper safetyMonitoringObjectInfoMapper;
	@Autowired
	private SafetyMonitoringRecordInfoMapper safetyMonitoringRecordInfoMapper;

	@Override
	public R statisticalRiskLevel() {
		return R.ok(safetyMonitoringObjectInfoMapper.statisticalRiskLevel());
	}


	@Override
	public R findListForMap(String parentTypeCode, String monitoringObjectTypeCodeList) {
		String[] split = null;
		if (monitoringObjectTypeCodeList != null && !monitoringObjectTypeCodeList.equals("")) {
			split = monitoringObjectTypeCodeList.split(",");
		}
		return R.ok(safetyMonitoringObjectInfoMapper.findListForMap(parentTypeCode, split));
	}


	@Override
	public R getInfo(String id) {
		Map map = safetyMonitoringObjectInfoMapper.getInfo(id);
		List<SafetyMonitoringRecordInfo> list = safetyMonitoringRecordInfoMapper.selectList(Wrappers.<SafetyMonitoringRecordInfo>lambdaQuery()
				.eq(SafetyMonitoringRecordInfo::getMonitoringObjectId, id)
				.groupBy(SafetyMonitoringRecordInfo::getMonitoringProject));
		Map<String,List<Map>> recordMap=new HashMap<>();
		for (SafetyMonitoringRecordInfo  safetyMonitoringRecordInfo:  list){
			List<Map> projectInfo = safetyMonitoringObjectInfoMapper.selectByMonitoringProject(id, safetyMonitoringRecordInfo.getMonitoringProject());
			recordMap.put(safetyMonitoringRecordInfo.getMonitoringProject(),projectInfo);
		}
		map.put("projectList",recordMap);
		return R.ok(map);
	}


	@Override
	public R statisticalType() {
		return R.ok(safetyMonitoringObjectInfoMapper.statisticalType());
	}
}